edu.sc.seis.sod

## Class RunProperties

- java.lang.Object
- - edu.sc.seis.sod.RunProperties

-     public class RunProperties
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AT_LEAST_ONCE`
    `static java.lang.String` | `AT_MOST_ONCE`
    `static edu.iris.Fissures.model.TimeInterval` | `DAYS_180`
    `static int` | `DEFAULT_NUM_WORKER_THREADS`
    `static java.lang.String` | `DONT_RESTART`
    `static edu.iris.Fissures.model.TimeInterval` | `NO_TIME`
    `static edu.iris.Fissures.model.TimeInterval` | `ONE_WEEK`
    `static edu.iris.Fissures.model.TimeInterval` | `TEN_MIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperties(org.w3c.dom.Element el)`
    `boolean` | `allowDeadNets()`
    `boolean` | `checkpointPeriodically()`
    `boolean` | `doStatusPages()`
    `java.lang.String` | `getChannelGroupingRules()`
    `java.lang.String` | `getEventChannelPairProcessing()`
    `edu.iris.Fissures.model.TimeInterval` | `getEventLag()`
    `edu.iris.Fissures.model.TimeInterval` | `getEventQueryIncrement()`
    `edu.iris.Fissures.model.TimeInterval` | `getEventRefreshInterval()`
    `java.util.List` | `getHibernateConfig()`
    `edu.iris.Fissures.model.TimeInterval` | `getMaxRetryDelay()`
    `int` | `getNumWaveformWorkerThreads()`
    `java.lang.String` | `getProxyHost()`
    `int` | `getProxyPort()`
    `java.lang.String` | `getProxyScheme()`
    `java.lang.String` | `getRunName()`
    `edu.iris.Fissures.model.TimeInterval` | `getSeismogramLatency()`
    `edu.iris.Fissures.model.TimeInterval` | `getServerRetryDelay()`
    `java.lang.String` | `getStatusBaseDir()`
    `boolean` | `isSkipAvailableData()`
    `boolean` | `loserEventCleaner()`
    `boolean` | `removeDatabase()`
    `boolean` | `reopenEvents()`
    `boolean` | `reopenSuspended()`
    `void` | `setAllowDeadNets(boolean b)`
    `void` | `setNumWaveformWorkerThreads(int numWorkers)`
    `void` | `setProxyHost(java.lang.String proxyHost)`
    `void` | `setProxyPort(int proxyPort)`
    `void` | `setProxyScheme(java.lang.String proxyScheme)`
    `void` | `setSkipAvailableData(boolean skipAvailableData)`
    `boolean` | `warnIfDatabaseExists()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_TIME

          public static final edu.iris.Fissures.model.TimeInterval NO_TIME

    - #### ONE_WEEK

          public static final edu.iris.Fissures.model.TimeInterval ONE_WEEK

    - #### TEN_MIN

          public static final edu.iris.Fissures.model.TimeInterval TEN_MIN

    - #### DAYS_180

          public static final edu.iris.Fissures.model.TimeInterval DAYS_180

    - #### DEFAULT_NUM_WORKER_THREADS

          public static final int DEFAULT_NUM_WORKER_THREADS

      See Also:
        Constant Field Values

    - #### DONT_RESTART

          public static final java.lang.String DONT_RESTART

      See Also:
        Constant Field Values

    - #### AT_LEAST_ONCE

          public static final java.lang.String AT_LEAST_ONCE

      See Also:
        Constant Field Values

    - #### AT_MOST_ONCE

          public static final java.lang.String AT_MOST_ONCE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RunProperties

          public RunProperties()
                        throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### addProperties

          public void addProperties(org.w3c.dom.Element el)
                             throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getMaxRetryDelay

          public edu.iris.Fissures.model.TimeInterval getMaxRetryDelay()

    - #### getServerRetryDelay

          public edu.iris.Fissures.model.TimeInterval getServerRetryDelay()

    - #### getEventQueryIncrement

          public edu.iris.Fissures.model.TimeInterval getEventQueryIncrement()

    - #### getEventLag

          public edu.iris.Fissures.model.TimeInterval getEventLag()

    - #### getEventRefreshInterval

          public edu.iris.Fissures.model.TimeInterval getEventRefreshInterval()

    - #### getSeismogramLatency

          public edu.iris.Fissures.model.TimeInterval getSeismogramLatency()

    - #### getRunName

          public java.lang.String getRunName()

    - #### getStatusBaseDir

          public java.lang.String getStatusBaseDir()

    - #### getNumWaveformWorkerThreads

          public int getNumWaveformWorkerThreads()

    - #### setNumWaveformWorkerThreads

          public void setNumWaveformWorkerThreads(int numWorkers)

    - #### reopenEvents

          public boolean reopenEvents()

    - #### removeDatabase

          public boolean removeDatabase()

    - #### warnIfDatabaseExists

          public boolean warnIfDatabaseExists()

    - #### getEventChannelPairProcessing

          public java.lang.String getEventChannelPairProcessing()

    - #### reopenSuspended

          public boolean reopenSuspended()

    - #### doStatusPages

          public boolean doStatusPages()

    - #### checkpointPeriodically

          public boolean checkpointPeriodically()

    - #### loserEventCleaner

          public boolean loserEventCleaner()

    - #### setAllowDeadNets

          public void setAllowDeadNets(boolean b)

    - #### allowDeadNets

          public boolean allowDeadNets()

    - #### isSkipAvailableData

          public boolean isSkipAvailableData()

    - #### setSkipAvailableData

          public void setSkipAvailableData(boolean skipAvailableData)

    - #### getHibernateConfig

          public java.util.List getHibernateConfig()

    - #### getChannelGroupingRules

          public java.lang.String getChannelGroupingRules()

    - #### setProxyHost

          public void setProxyHost(java.lang.String proxyHost)

    - #### getProxyHost

          public java.lang.String getProxyHost()

    - #### setProxyPort

          public void setProxyPort(int proxyPort)

    - #### getProxyPort

          public int getProxyPort()

    - #### setProxyScheme

          public void setProxyScheme(java.lang.String proxyScheme)

    - #### getProxyScheme

          public java.lang.String getProxyScheme()